Update Team
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
teamId: 'c1e4416e-f57c-4614-886f-35a5541f4316',
teamName: 'Full Stack Developer'
})
};
fetch('https://api.trackpilots.com/v1/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://api.trackpilots.com/v1/teams \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"teamId": "c1e4416e-f57c-4614-886f-35a5541f4316",
"teamName": "Full Stack Developer"
}
'import requests
url = "https://api.trackpilots.com/v1/teams"
payload = {
"teamId": "c1e4416e-f57c-4614-886f-35a5541f4316",
"teamName": "Full Stack Developer"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"success": true,
"statusCode": 200,
"statusMessage": "Team details updated successfully.",
"error": null,
"data": {
"teamId": "c1e4416e-f57c-4614-886f-35a5541f4316",
"teamName": "Full Stack Developer"
}
}Manage Teams
Update Team
PATCH
/
v1
/
teams
Update Team
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
teamId: 'c1e4416e-f57c-4614-886f-35a5541f4316',
teamName: 'Full Stack Developer'
})
};
fetch('https://api.trackpilots.com/v1/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://api.trackpilots.com/v1/teams \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"teamId": "c1e4416e-f57c-4614-886f-35a5541f4316",
"teamName": "Full Stack Developer"
}
'import requests
url = "https://api.trackpilots.com/v1/teams"
payload = {
"teamId": "c1e4416e-f57c-4614-886f-35a5541f4316",
"teamName": "Full Stack Developer"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"success": true,
"statusCode": 200,
"statusMessage": "Team details updated successfully.",
"error": null,
"data": {
"teamId": "c1e4416e-f57c-4614-886f-35a5541f4316",
"teamName": "Full Stack Developer"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
